org.bdgenomics.adam.sql

# Variant

###
Related Docs: object Variant | package sql

#### class Variant extends Product

Linear Supertypes
Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Variant
2. Product
3. Equals
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Variant(contigName: Option[String], start: Option[Long], end: Option[Long], names: Seq[String], splitFromMultiAllelic: Option[Boolean], referenceAllele: Option[String], alternateAllele: Option[String], quality: Option[Double], filtersApplied: Option[Boolean], filtersPassed: Option[Boolean], filtersFailed: Seq[String], annotation: Option[VariantAnnotation])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val alternateAllele: Option[String]

5. #### val annotation: Option[VariantAnnotation]

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def canEqual(that: Any): Boolean

   Definition Classes
     Variant → Equals

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val contigName: Option[String]

10. #### val end: Option[Long]

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### val filtersApplied: Option[Boolean]

14. #### val filtersFailed: Seq[String]

15. #### val filtersPassed: Option[Boolean]

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### val names: Seq[String]

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def productArity: Int

    Definition Classes
      Variant → Product

25. #### def productElement(i: Int): Any

    Definition Classes
      Variant → Product

26. #### def productIterator: Iterator[Any]

    Definition Classes
      Product

27. #### def productPrefix: String

    Definition Classes
      Product

28. #### val quality: Option[Double]

29. #### val referenceAllele: Option[String]

30. #### val splitFromMultiAllelic: Option[Boolean]

31. #### val start: Option[Long]

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### def toAvro: formats.avro.Variant

34. #### def toString(): String

    Definition Classes
      AnyRef → Any

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped